<script type="text/javascript">
function preview()
{
    document.editform.action = 'preview.php';
    document.editform.target = '_blank';
    document.editform.submit();

    document.editform.action = '<?php echo Wicked::url('EditPage') ?>';
    document.editform.target = '';
}
</script>

<form method="post" name="editform" action="<?php echo Wicked::url('EditPage') ?>">
<?php Util::pformInput() ?>
<input type="hidden" name="page" value="EditPage" />
<input type="hidden" name="actionID" value="special" />
<input type="hidden" name="referrer" value="<?php echo htmlspecialchars($page->pageName()) ?>" />

<table cellspacing="0" width="100%">
  <tr>
   <td class="header" align="left">
    <?php echo _("EditPage") . ': ' . Horde::link($page->pageUrl(), $page->pageName(), 'header') . $page->pageName() . '</a>'; if ($page->isLocked()) echo Horde::img('locked.png', _("Locked")) ?>
   </td>
   <td class="header" align="right">
    <span class="smallheader"><?php printf(_("Last Modified %s by %s"), $page->formatVersionCreated(), $page->author()) ?></span>
   </td>
  </tr>

  <tr>
   <td class="control" align="left" colspan="2">
    <input type="submit" value="<?php echo _("Save") ?>" class="button" />
    <input type="button" value="<?php echo _("Preview") ?>" class="button" onclick="preview()" />
    <a class="button" href="<?php echo $page->pageUrl() ?>"><?php echo _("Cancel") ?></a>
    <?php if (!empty($GLOBALS['conf']['wicked']['require_change_log'])) echo Horde::img('required.png', _("Changelog is required"), '', $GLOBALS['registry']->getImageDir('horde')) ?>
    <strong><?php echo _("Change log") . ': ' ?></strong><input type="text" name="changelog" size="50" />
    <input type="checkbox" name="minor" id="minor" checked="checked" /><label for="minor"> <?php echo _("Minor Change") ?></label>
   </td>
  </tr>

<?php
if (!empty($GLOBALS['conf']['wicked']['captcha']) && !Auth::getAuth()):
    require_once 'Text/Figlet.php';
    $figlet = &new Text_Figlet();
    $result = $figlet->loadFont($GLOBALS['conf']['wicked']['figlet_font']);
    if (!is_a($result, 'PEAR_Error')):
?>
  <tr>
   <td class="control" align="left" colspan="2">
    <?php echo _("Spam Protection - Enter the letters below:") ?> 
    <pre><?php echo $figlet->lineEcho(Wicked::getCAPTCHA(true)) ?></pre>
    <input name="wicked_captcha" />
   </td>
  </tr>
<?php endif; endif; ?>

  <tr>
   <td colspan="2" style="padding:8px">
    <textarea class="editbody" style="width:100%" name="page_text" rows="29" cols="100"><?php echo @htmlspecialchars($page_text, ENT_COMPAT, NLS::getCharset()) ?></textarea>
   </td>
  </tr>
</table>

</form>
